Transfers
All operations require authentication.
List the FOAs (Form of Authorization) attached to a domain name taskBeta
List the FOAs (Form of Authorization) attached to a domain name task. Trade operations may produce several FOAs (one per involved contact). Outgoing transfers produce a single FOA.
Path parameters
Domain name
Task ID
Headers
Pagination cursor
Pagination size
Response
Computed hash of the current state of the FOA. Reflects the latest observed state.
Current state of the FOA
Unique identifier of the FOA
Readiness of the FOA resource
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses domainName = string, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ name/ {domainName}/ task/ {taskId}/ foa \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "answeredAt": "2024-01-01T12:00:00Z", "choice": "ACCEPT", "contact": "string", "contactEmail": "string", "domain": "string", "expiresAt": "2024-01-01T12:00:00Z", "sentAt": "2024-01-01T12:00:00Z", "token": "string", "type": "OUTGOING_TRANSFER" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]
Get a specific FOA (Form of Authorization) attached to a domain name taskBeta
Path parameters
Domain name
Foa ID
Task ID
Response
Computed hash of the current state of the FOA. Reflects the latest observed state.
Current state of the FOA
Unique identifier of the FOA
Readiness of the FOA resource
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses domainName = string, foaId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ name/ {domainName}/ task/ {taskId}/ foa/ {foaId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "answeredAt": "2024-01-01T12:00:00Z", "choice": "ACCEPT", "contact": "string", "contactEmail": "string", "domain": "string", "expiresAt": "2024-01-01T12:00:00Z", "sentAt": "2024-01-01T12:00:00Z", "token": "string", "type": "OUTGOING_TRANSFER" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}
Resend the FOA (Form of Authorization) email to its recipientBeta
Resend the FOA (Form of Authorization) email to its recipient. Fails when the FOA has already been answered, when it is expired, or when the underlying task has already finished.
Path parameters
Domain name
Foa ID
Task ID
Response
Example uses domainName = string, foaId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ domain/ name/ {domainName}/ task/ {taskId}/ foa/ {foaId}/ resend \
-H "authorization: Bearer $OVH_TOKEN"Return authInfo code if the domain is unlockedProduction
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ authInfo \
-H "authorization: Bearer $OVH_TOKEN""string"
Return the list of all .uk registrarsProduction
Path parameters
Service name
Response
Registrar name
Registrar tag
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ ukRegistrars \
-H "authorization: Bearer $OVH_TOKEN"[ { "name": "string", "tag": "string" }]
Schedule an outgoing transfer task for this domain (.uk only)Production
Path parameters
Service name
Request body (required)
Registrar name
Registrar tag
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Domain of the task
Done date of the task
Function of the task
Id of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrorproblemtodoTodo date of the task
type of the task
alldomdomainExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ {serviceName}/ ukOutgoingTransfer \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "type": "alldom"}